Skip to main content
GET
Get organization quota details
Beta Disclaimer: This beta endpoint is evolving; the API contract may change.

Returns a single organization quota identified by its quota code. Responds with a not found error when the quota code is unknown or the quota does not apply to the organization.

Permission

The API key must have the control-plane:organization:view permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

quotaCode
string
required

Code of the requested quota.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on September 16, 2026